Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83099 - Dependency on version stops release-only upgrade
Summary: Dependency on version stops release-only upgrade
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gdk-pixbuf
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-30 08:05 UTC by Ralph Loader
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-10 22:17:49 UTC


Attachments (Terms of Use)

Description Ralph Loader 2003-01-30 08:05:29 UTC
Description of problem:

Upgrading from "gdk-pixbuf-0.18.0-6" to "gdk-pixbuf-0.18.0-7" fails when there
is a dependency "gdk-pixbuf = 0.18.0":

# rpm -q gdk-pixbuf gdk-pixbuf-gnome
gdk-pixbuf-0.18.0-6
gdk-pixbuf-gnome-0.18.0-7
# rpm -Uvh gdk-pixbuf-0.18.0-7.i386.rpm
error: Failed dependencies:
        gdk-pixbuf = 0.18.0 is needed by (installed) gdk-pixbuf-gnome-0.18.0-7

Version-Release number of selected component (if applicable):

# rpm -q rpm
rpm-4.2-0.63

How reproducible:

Every time. Seems to happen with other packages too: if there is a dependency
foo=x then I can't upgrade from foo-x-y to foo-x-(y+1).

Actual results:

package upgrade fails.

Expected results:

The package upgrade above should succeed.

Comment 1 Owen Taylor 2003-01-31 04:53:42 UTC
What's the story with this, Bill? I don't immediately see anything
wrong with the gdk-pixbuf Requires:.

Comment 2 Bill Nottingham 2003-01-31 05:06:45 UTC
The requirement doesn't have an epoch matching the epoch of the main package;
that's why RPM is throwing the error.

Comment 3 Ralph Loader 2003-01-31 05:46:12 UTC
rpm is not being consistent, as far as I can see. If I upgrade from both at
...-6 to both at ...-7 there is no error. When I try and upgrade from the
mixture to both at ...-7, there is an error. 

Surely whether or not the dependencies are correct should only depend on what
I'm upgrading to, not on what I'm upgrading from?

Even if there is a packaging problem, the rpm behaviour seems counterintuitive
to me.

Comment 4 Owen Taylor 2003-06-10 22:17:49 UTC
* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.
                                                                                



Note You need to log in before you can comment on or make changes to this bug.